org.apache.commons.beanutils

## Class BeanMap.Entry

- java.lang.Object
- - org.apache.commons.collections.keyvalue.AbstractKeyValue
  - - org.apache.commons.collections.keyvalue.AbstractMapEntry
    - - org.apache.commons.beanutils.BeanMap.Entry

- All Implemented Interfaces:
    Map.Entry, org.apache.commons.collections.KeyValue
  Enclosing class:
    BeanMap

      protected static class BeanMap.Entry
      extends org.apache.commons.collections.keyvalue.AbstractMapEntry

  Map entry used by `BeanMap`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.collections.keyvalue.AbstractKeyValue

      `key, value`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Entry(BeanMap owner, Object key, Object value)` Constructs a new `Entry`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `setValue(Object value)` Sets the value.

    - ### Methods inherited from class org.apache.commons.collections.keyvalue.AbstractMapEntry

      `equals, hashCode`

    - ### Methods inherited from class org.apache.commons.collections.keyvalue.AbstractKeyValue

      `getKey, getValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `comparingByKey, comparingByKey, comparingByValue, comparingByValue, getKey, getValue`

- - ### Constructor Detail

    - #### Entry

          protected Entry(BeanMap owner,
                          Object key,
                          Object value)

      Constructs a new `Entry`.
      Parameters:
        `owner` - the BeanMap this entry belongs to
        `key` - the key for this entry
        `value` - the value for this entry

  - ### Method Detail

    - #### setValue

          public Object setValue(Object value)

      Sets the value.
      Specified by:
        `setValue` in interface `Map.Entry`
      Overrides:
        `setValue` in class `org.apache.commons.collections.keyvalue.AbstractMapEntry`
      Parameters:
        `value` - the new value for the entry
      Returns:
        the old value for the entry

Copyright © 2000–2019 The Apache Software Foundation. All rights reserved.